Bug 478027 - MIGRATED_FROM_JIRA: Problems adding new source
MIGRATED_FROM_JIRA: Problems adding new source
Status: CLOSED UPSTREAM
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:52 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 02:52:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:52:03 EST
Problem #1
----------
Add a new source, don't save but cancel it. It will add a new source called "NewSource". The canceled new source should not get added at all.

Problem #2
----------
Add a new source, set the Source Name to "abc", then save it. You will see two new sources got added and they both have the same name "abc". It should have added only one.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '6',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'endisd',
          'key' => 'PENROSE-17',
          'assignee' => 'endisd',
          'summary' => 'Problems adding new source',
          'id' => '10082',
          'updated' => '2005-07-07 17:56:26.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-06-03 00:00:00.0',
                             'sequence' => '1',
                             'name' => 'Penrose-0.9.1',
                             'released' => 'true',
                             'id' => '10004',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Problem #1
----------
Add a new source, don't save but cancel it. It will add a new source called "NewSource". The canceled new source should not get added at all.

Problem #2
----------
Add a new source, set the Source Name to "abc", then save it. You will see two new sources got added and they both have the same name "abc". It should have added only one.
',
          'created' => '2005-05-13 13:06:15.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:52:05 EST
Closing bug as it was already closed in Jira - PENROSE-17

Note You need to log in before you can comment on or make changes to this bug.